var hyperlog = require('hyperlog')
var level = require('level')
var osmdb = require('..')
var fdstore = require('fd-chunk-store')
var rimraf = require('rimraf')

var osm = osmdb({
  log: hyperlog(level('log1'), { valueEncoding: 'json' }),
  db: level('index1'),
  store: fdstore(4096, 'kdb1')
})

var batch = []
var n = 10000
console.log('inserting', n, 'documents')
for (var i=0; i < n; i++) {
  var node = {
    type: 'node',
    lat: Math.random() * 10 - 5,
    lon: Math.random() * 10 - 5
  }
  batch.push({ type: 'put', key: ''+i, value: node })
}

console.time('batch')
osm.batch(batch, function (err, res) {
  console.timeEnd('batch')
  process.exit(1)
})

